﻿using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace MergeWithCodeReviewTrigger
{
    public static class StringHelper
    {
        public static string Clean(string s)
        {
            StringBuilder sb = new StringBuilder(s);

            sb.Replace("\r\n", string.Empty);
            sb.Replace("\n", string.Empty);
            sb.Replace("\r", string.Empty);

            return sb.ToString().ToLower();
        }

        public static ArrayList GetListResults(string cmdresult, bool bLowerCase)
        {
            if (cmdresult == string.Empty)
                return new ArrayList();

            //conversion
            if (cmdresult.Length >= 2)
            {
                string sub = cmdresult.Substring(cmdresult.Length - 2);
                if (sub.Equals("\r\n"))
                {
                    cmdresult = cmdresult.Substring(0, cmdresult.Length - 2);

                }
                else
                {
                    sub = cmdresult.Substring(cmdresult.Length - 1);
                    if (sub.Equals("\n"))
                        cmdresult = cmdresult.Substring(0, cmdresult.Length - 1);
                }
            }
            cmdresult = cmdresult.Replace("\r\n", "\n");
            cmdresult = cmdresult.Replace("\r", "\n");

            ArrayList al = new ArrayList(cmdresult.Split('\n'));

            if (bLowerCase)
            {
                for (int i = 0; i < al.Count; i++)
                {
                    al[i] = ((string)al[i]).ToLower();
                }
            }
            return al;
        }

        public static List<string> GetListStringResults(string cmdresult)
        {
            List<string> result = new List<string>();
            foreach (string value in GetListResults(cmdresult))
                result.Add(value);
            return result;
        }

        public static ArrayList GetListResults(string cmdresult)
        {
            return GetListResults(cmdresult, false);
        }
    }
}
